Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.jboss.txbridge.ba.annotation
Annotation Type BACompensatedBy

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    @Documented
    public @interface BACompensatedBy

Specifies all information related to the compensation action for a single service (method). Following information is required: - name of the compensation action - location of the compensation action - should the compensation action be executed only once in a BA - what data should be remembered so that compensation can be executed - what is the mode of compensation (is compensation action present as a method of an EJB, POJO or a Web Service) All set member values of this annotation override those which were set using the @BACompensation annotation.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Required Element Summary
`java.lang.String` | `value`

Optional Element Summary
`java.lang.String` | `address`
`java.lang.Class[]` | `ejbInterface`
`java.lang.String` | `jndiName`
`BAParameterMatch` | `match`
`BACompensationMode` | `mode`
`java.lang.String` | `namespace`
`BACompensationOrder` | `order`
`java.lang.String` | `providerURL`
`java.lang.Class[]` | `serviceClass`
`java.lang.String` | `serviceName`
`boolean` | `single`
`BACompensationType` | `type`
`java.lang.String` | `wsdl`

Element Detail

### value

    public abstract java.lang.String value

### serviceClass

    public abstract java.lang.Class[] serviceClass

  Default:
    {}

### ejbInterface

    public abstract java.lang.Class[] ejbInterface

  Default:
    {}

### jndiName

    public abstract java.lang.String jndiName

  Default:
    ""

### providerURL

    public abstract java.lang.String providerURL

  Default:
    ""

### wsdl

    public abstract java.lang.String wsdl

  Default:
    ""

### address

    public abstract java.lang.String address

  Default:
    ""

### namespace

    public abstract java.lang.String namespace

  Default:
    ""

### serviceName

    public abstract java.lang.String serviceName

  Default:
    ""

### single

    public abstract boolean single

  Default:
    false

### match

    public abstract BAParameterMatch match

  Default:
    STRICT

### order

    public abstract BACompensationOrder order

  Default:
    NORMAL

### type

    public abstract BACompensationType type

  Default:
    RETURN_VALUE

### mode

    public abstract BACompensationMode mode

  Default:
    EJB

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT